#
# app_vars.pl
#
# Use this script to define and initialize any global variables that are required in
# the pre_install.pl, install.pl and uninstall.pl scripts.
#
# NOTE: Scripts must be included in the following order:
#
#	require "CommonDB.pl";
#	require "CommonMisc.pl";
#	require "$ScriptDir/init_sys.pl";
#	require "$ScriptDir/init_app.pl";
#
# NOTE: The way that these files are being "included" prevents the use of "use strict" in the
#		calling rountines. So use extreme caution and make sure that variables are named and
#		initialized correctly!
#

#
# Define the top level menu items and module names...
#
our $AppTopGroupDisplayName 	   = "Flight";
our $AppTopGroupModuleName 		   = "flight_top_group";
our $JobTemplateLibraryName		   = "Flight_Reference_Workflows";
our $JobTemplateLibraryName_LEGACY = "Flight_Workflows";

#
# Define menu items and associated variables...
#
our %modGrpNames 		= (); # None...will be handled by workflow publishing
our %modNames 			= (); # None

our @JobGroupDisplayNames 	= ("Flight Upload Jobs","Flight Download Jobs");
our @JobGroupNames 			= ("FlightUploads","FlightDownloads");
our @JobGroupNames_LEGACY 	= ("solution_job_group_FlightUploadReference","solution_job_group_FlightDownloadReference");

our $Default_OrgID 		= $commonDB->queryDB("SELECT min(org_id) from organization where org_name != 'System' and org_name != 'Scheduled Reporting'"); chomp($Default_OrgID);
our $Default_OrgName 	= $commonDB->queryDB("SELECT org_name from organization where org_id = '$Default_OrgID'"); chomp($Default_OrgName);

return 1;
