#!dds_perl

use File::Basename;
our $ScriptDir = dirname($0);

require "CommonDB.pl";
require "CommonMisc.pl";

require "$ScriptDir/init_sys.pl";
require "$ScriptDir/init_app.pl";

###################################################################################################
######################################  SUBROUTINES  ##############################################
###################################################################################################

sub updateJobGroups()
{
	#
	# Update the descriptions of the auto-created job groups...
	#
	for (my $i=0; $i < scalar @JobGroupNames; $i++)
	{
		if(!$commonDB->findRecords("contract", "contract_name = '" . $JobGroupNames[$i]. "'"))
		{
			CommonMisc->appendToFile($LOG_PATH, "\t[install.pl] Job group does not yet exist: $JobGroupNames[$i]\n");
			my $JobGroupID = $commonDB->createJobGroup($JobGroupNames[$i], $JobGroupDisplayNames[$i], $Default_OrgName, 'n');
		}
		else
		{
			CommonMisc->appendToFile($LOG_PATH, "\t[install.pl] Job group already exists: $JobGroupNames[$i]\n");
			CommonMisc->appendToFile($LOG_PATH, "\t[install.pl] Updating job group name for $JobGroupNames[$i]\n");
			$commonDB->initScript();
			$commonDB->writeScript("UPDATE contract SET contract_desc = '$JobGroupDisplayNames[$i]' WHERE contract_name = '$JobGroupNames[$i]';");
			$commonDB->execScript();
		}
	}
}


###################################################################################################
##########################################  MAIN  #################################################
###################################################################################################

CommonMisc->appendToFile($LOG_PATH, "\t[install.pl] verifying db connectivity\n");
$commonDB->queryDB("SELECT count(*) FROM Web_User");

# Still enabled for debugging - but no database updates are done...
CommonMisc->appendToFile($LOG_PATH, "\t[install.pl] checking job groups\n");
updateJobGroups();

exit(0);
