#!dds_perl

use File::Basename;
our $ScriptDir = dirname($0);

require "CommonDB.pl";
require "CommonMisc.pl";

require "$ScriptDir/init_sys.pl";
require "$ScriptDir/init_app.pl";

###################################################################################################
######################################  SUBROUTINES  ##############################################
###################################################################################################

sub removeJobs()
{
	CommonMisc->appendToFile($LOG_PATH, "\t[uninstall.pl] Removing jobs from JTL: $JobTemplateLibraryName\n");
	$commonDB->removeJobs($JobTemplateLibraryName,"force"); 

	CommonMisc->appendToFile($LOG_PATH, "\t[uninstall.pl] Removing jobs from JTL: $JobTemplateLibraryName_LEGACY\n");
	$commonDB->removeJobs($JobTemplateLibraryName_LEGACY,"force"); 
}

sleep(5);

sub removeJobGroups()
{
	for my $jobgroup (@JobGroupNames) 
	{
		CommonMisc->appendToFile($LOG_PATH, "\t[uninstall.pl] removing job group: $jobgroup\n");
		$commonDB->removeJobGroup($jobgroup);
	}
	
	for my $jobgroup_LEGACY (@JobGroupNames_LEGACY) 
	{
		CommonMisc->appendToFile($LOG_PATH, "\t[uninstall.pl] removing job group: $jobgroup_LEGACY\n");
		$commonDB->removeJobGroup($jobgroup_LEGACY);
	}
}

sub removeJTLs()
{
	CommonMisc->appendToFile($LOG_PATH, "\t[uninstall.pl] Removing JTL: $JobTemplateLibraryName\n");
	$commonDB->removeJobTemplateLibrary($JobTemplateLibraryName);
	
	CommonMisc->appendToFile($LOG_PATH, "\t[uninstall.pl] Removing JTL: $JobTemplateLibraryName_LEGACY\n");
	$commonDB->removeJobTemplateLibrary($JobTemplateLibraryName_LEGACY);
}

sub setWorkflowsAsUninstalled()
{
	$commonDB->initScript();
	$commonDB->writeScript("UPDATE Application SET app_state='uninstalled' WHERE app_name = '$JobTemplateLibraryName';");
	$commonDB->writeScript("UPDATE Application SET app_state='uninstalled' WHERE app_name = '$JobTemplateLibraryName_LEGACY';");
	$commonDB->execScript();
	
	return(0);
}

###################################################################################################
##########################################  MAIN  #################################################
###################################################################################################

CommonMisc->appendToFile($LOG_PATH, "\t[uninstall.pl] verifying db connectivity\n");
$commonDB->queryDB("SELECT count(*) FROM Web_User");

CommonMisc->appendToFile($LOG_PATH, "\t[uninstall.pl] removing jobs\n");
removeJobs();

CommonMisc->appendToFile($LOG_PATH, "\t[uninstall.pl] removing job groups\n");
removeJobGroups();

CommonMisc->appendToFile($LOG_PATH, "\t[uninstall.pl] removing job template library\n");
removeJTLs();
setWorkflowsAsUninstalled();

exit(0);





